Subject: [secdir] Secdir last call review of draft-ietf-quic-datagram-07

From: Carl Wallace via Datatracker <[email-masked]>
Date: Wed, 22 Dec 2021 10:52:34 -0800

Reviewer: Carl Wallace
Review result: Ready

This is a well written document. My only comments are likely due to my lack of
familiarity with QUIC.

1) Section 5 states "this frame SHOULD be sent as soon as possible, and MAY be
coalesced with other frames." It was not clear to me how this squared with
Section 4's "if this bit is set to 0, the Length field is absent and the
Datagram Data field extends to the end of the packet." Should the MAY be other
packets instead of frames? Or is at most one datagram frame with no length
present permitted in a packet, with it being last?

2) Section 3 may benefit from including words a la section 4.6.2 of RFC 9001
regarding resetting state when max_datagram_frame_size is rejected. On first
read, it was not clear to me why this value did not latch.